CREATE TABLE ben_pl_copy_logs (
    PL_COPY_LOG_ID           NUMBER(18, 0) ,
    PL_COPY_ID               NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    MESSAGE_TYPE             VARCHAR2(960) ,
    MESSAGE                  VARCHAR2(4000),
    BUSINESS_GROUP_ID        NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LOG_ATTRIBUTE1           VARCHAR2(4000),
    LOG_ATTRIBUTE2           VARCHAR2(4000),
    LOG_ATTRIBUTE3           VARCHAR2(4000),
    LOG_ATTRIBUTE4           VARCHAR2(4000),
    LOG_ATTRIBUTE5           VARCHAR2(4000),
    LOG_ATTRIBUTE_DATE1      DATE          ,
    LOG_ATTRIBUTE_DATE2      DATE          ,
    LOG_ATTRIBUTE_DATE3      DATE          ,
    LOG_ATTRIBUTE_DATE4      DATE          ,
    LOG_ATTRIBUTE_DATE5      DATE          ,
    LOG_ATTRIBUTE_NUMBER1    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER2    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER3    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER4    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER5    NUMBER(22, 0) ,
    PL_COPY_LOG_ID           NUMBER(18, 0) ,
    PL_COPY_ID               NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    MESSAGE_TYPE             VARCHAR2(960) ,
    MESSAGE                  VARCHAR2(4000),
    BUSINESS_GROUP_ID        NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LOG_ATTRIBUTE1           VARCHAR2(4000),
    LOG_ATTRIBUTE2           VARCHAR2(4000),
    LOG_ATTRIBUTE3           VARCHAR2(4000),
    LOG_ATTRIBUTE4           VARCHAR2(4000),
    LOG_ATTRIBUTE5           VARCHAR2(4000),
    LOG_ATTRIBUTE_DATE1      DATE          ,
    LOG_ATTRIBUTE_DATE2      DATE          ,
    LOG_ATTRIBUTE_DATE3      DATE          ,
    LOG_ATTRIBUTE_DATE4      DATE          ,
    LOG_ATTRIBUTE_DATE5      DATE          ,
    LOG_ATTRIBUTE_NUMBER1    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER2    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER3    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER4    NUMBER(22, 0) ,
    LOG_ATTRIBUTE_NUMBER5    NUMBER(22, 0) ,
    CONSTRAINT pk_ben_pl_copy_logs PRIMARY KEY (PL_COPY_LOG_ID, BUSINESS_GROUP_ID, PL_COPY_LOG_ID, BUSINESS_GROUP_ID)
);
